package com.fjs.scenic.service.user;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.fjs.scenic.entity.user.User;
import com.fjs.scenic.utils.ReturnResult;

/**
 * 管理员
 *
 * @CreateDate ${date} ${time}
 */
public interface UserService{
	List<User> select(User record);

   	void delete(User record);
   	
   	int update(User record);

   	List<User> selectByParam(String field,String param);
   	
   	List<User> selectByJoin(String field,String param);

   	void updateByParam(String param);

   	void deleteByParam(String param);

   	/**微信授权操作用户*/
	ReturnResult optionUser(User user);
	
	public User getUserById(Integer id);

	public ReturnResult updatePhone(Integer id,String phone);

	public ReturnResult frozen(Integer id);
	
	public String getOpenIdByOrderNo(String orderNo);

}
